<?php
defined('_JEXEC') or die();
jimport('joomla.application.component.model');

class plgJshoppingNeed_shipping_free extends JPlugin{
        
    function __construct(&$subject, $config){
        parent::__construct($subject, $config);
    }
	
	function onBeforeDisplayProductView(&$view){
		$this->textShippingFree();
	}
	
	function onBeforeDisplayCartView(&$view){
		$this->textShippingFree();
	}
	
	function textShippingFree(){
		$jshopConfig = JSFactory::getConfig();
		$min_price = $this->params->get('min_price', 0);
		if ($jshopConfig->summ_null_shipping > 0){			
			$cart = JSFactory::getModel('cart', 'jshop');
			$cart->load();
			
			if ($jshopConfig->free_shipping_calc_from_total_and_discount){
				$total = $cart->getSum(0, 1);
			}else{
				$total = $cart->getSum();
			}
			$diff = $jshopConfig->summ_null_shipping * $jshopConfig->currency_value - $total;
			
			if ($diff > 0 && $total >= $min_price){
				$this->loadLanguage();
				JError::raiseNotice(92, JText::sprintf('NEED_ORDER_FOR_SHIPPING_FREE', formatprice($diff)));
			}
		}
	}
    
}